Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.slide.search
Interface QueryScope

All Known Implementing Classes:
  BasicQueryScope

public interface QueryScope

Holds the scope information supplied with the element.

Version:
  $Revision: 1.11 $

Field Summary
`static int` | `DEPTH_0`
`static int` | `DEPTH_1`
`static int` | `DEPTH_INFINITY`

Method Summary
`int` | `getDepth()` depth accessor
`java.util.Set` | `getExcludedScopes()` Returns an Iterator for Scope objects, that shall be excluded from SEARCH.
`java.util.Set` | `getExcludeSet()` Method getExcludeSet
`java.lang.String` | `getHref()` href accessor.
`java.util.Set` | `getIncludeSet()` Method getIncludeSet
`boolean` | `isCollection()` Returns true if the scope specifies a collection
`void` | `setIsCollection(boolean isCollection)` Method setIsCollection

Field Detail

### DEPTH_0

    public static final int DEPTH_0

See Also:
  Constant Field Values

### DEPTH_1

    public static final int DEPTH_1

See Also:
  Constant Field Values

### DEPTH_INFINITY

    public static final int DEPTH_INFINITY

See Also:
  Constant Field Values

Method Detail

### getExcludeSet

    public java.util.Set getExcludeSet()

  Method getExcludeSet

  Returns:
    a Set

### getIncludeSet

    public java.util.Set getIncludeSet()

  Method getIncludeSet

  Returns:
    a Set

### getHref

    public java.lang.String getHref()

  href accessor.

  Returns:
    a String

### getDepth

    public int getDepth()

  depth accessor

  Returns:
    one of QueryScope.DEPTH_INFINITY, QueryScope.DEPTH_0 or QueryScope.DEPTH_1

### isCollection

    public boolean isCollection()

  Returns true if the scope specifies a collection

  Returns:
    a boolean

### setIsCollection

    public void setIsCollection(boolean isCollection)

  Method setIsCollection

  Parameters:
    `isCollection` - a boolean

### getExcludedScopes

    public java.util.Set getExcludedScopes()

  Returns an Iterator for Scope objects, that shall be excluded from SEARCH. An excludedScope must match the scope of a store as defined in Domain.xml

  Returns:
    an Iterator of Scope objects

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD